# Signal (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.connection.channel.direct
Enum Signal

    java.lang.Object
      java.lang.Enum<Signal>
          net.schmizz.sshj.connection.channel.direct.Signal

All Implemented Interfaces:
  Serializable, Comparable<Signal>

    public enum Signal

extends Enum<Signal>

Various signals that may be sent or received. The signals are from POSIX and simply miss the `"SIG_"` prefix.

Enum Constant Summary
`ABRT`
`ALRM`
`FPE`
`HUP`
`ILL`
`INT`
`KILL`
`PIPE`
`QUIT`
`SEGV`
`TERM`
`UNKNOWN`
`USR1`
`USR2`

Method Summary
`static Signal` `fromString(String name)` Create from the string representation used when the signal is received as part of an SSH packet.
`static Signal` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Signal[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABRT

    public static final Signal ABRT

### ALRM

    public static final Signal ALRM

### FPE

    public static final Signal FPE

### HUP

    public static final Signal HUP

### ILL

    public static final Signal ILL

### INT

    public static final Signal INT

### KILL

    public static final Signal KILL

### PIPE

    public static final Signal PIPE

### QUIT

    public static final Signal QUIT

### SEGV

    public static final Signal SEGV

### TERM

    public static final Signal TERM

### USR1

    public static final Signal USR1

### USR2

    public static final Signal USR2

### UNKNOWN

    public static final Signal UNKNOWN

Method Detail

### values

    public static Signal[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Signal c : Signal.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Signal valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromString

    public static Signal fromString(String name)

  Create from the string representation used when the signal is received as part of an SSH packet.

  Parameters:
    `name` - name of the signal as received
  Returns:
    the enum constant inferred

Copyright © 2009-2012. All Rights Reserved.